<?php
//用户为空时转到登录页面并中止执行程序；
if(!isset($_POST[user])){
	echo '<script language="javascript" type="text/javascript">window.location.href="login.php";</script>';
	exit();
}

include("cnn.php");
$user=$mysqli->real_escape_string($_POST[user]);
$pwd=md5($_POST[pwd]);
$sql=$mysqli->query('select * from user where id="'.$user.'" and password="'.$pwd.'"');
$info=$sql->fetch_array(MYSQLI_BOTH);
if(!$info){
	echo '<script language="javascript" type="text/javascript">alert("工号或密码不正确！");history.back();</script>';
}else{
	//用户合法时，设置全局的用户变量；
	session_start();
	$_SESSION[userid]=$info[id];
	$_SESSION[username]=$info[name];
	$_SESSION[urldirname]=dirname($_SERVER['REQUEST_URI']);
	setcookie("myuserid",$_SESSION[userid],time()+604800);//设置Cookie的有效时间为7天；

	$page_title="登录成功—恩格会计软件";
    include("header.php");
	
	echo '<br />';
	//echo '<div align="center">当前有效工号：'.$_SESSION[userid].'</div><br />';
	//echo '<div align="center">当前有效用户：'.$_SESSION[username].'</div><br />';
	//echo '<hr width="95%">';
	
	//设置全局的权限数组变量；
    $sqlRight=$mysqli->query('select Rid,Rvalue from power where Uid="'.$info[id].'" order by Rid',$cnn);
    $infoRight=$sqlRight->fetch_array(MYSQLI_BOTH);
	if($infoRight){
		$_SESSION[Right]=array();
		do{
			array_push($_SESSION[Right],$infoRight[Rvalue]);
		}while($infoRight=$sqlRight->fetch_array(MYSQLI_BOTH));
		//print_r($_SESSION[Right]);//打印权限数组；
		/*
		参数使用：权限顺序数组($_SESSION[Right])：
		Array ( [0] => -1 [1] => -1 [2] => -1 [3] => -1 [4] => -1 [5] => -1 [6] => -1 [7] => -1 [8] => -1 [9] => -1 [10] => -1 [11] => -1 ) 
		上面的顺序与数据库对应值：
		0—会计科目
		1—现金流量
		2—客户
		3－个人
		4—存货
		5—供应商
		6—部门
		7—核算项目
		8—凭证管理
		9-限于本人
		10-科目余额表
		11-项目余额表
		*/
	}
	$sqlRight->free();
	
	//显示PHP预定义常量；
	echo '<br />';
	echo '<div align="center">当前PHP版本信息：'.PHP_VERSION.'</div><br />';
	echo '<div align="center">当前操作系统：'.PHP_OS.'</div><br />';
	echo '<div align="center">当前用户IP地址：'.$_SERVER['REMOTE_ADDR'].'</div><br />';
	echo '<div align="center">当前用户主机名：'.$_SERVER['HTTP_HOST'].'</div><br />';
	//echo '<div align="center">当前网页地址：'.$_SERVER['PHP_SELF'].'</div><br />';
	//echo '<div align="center">当前网页地址：'.dirname($_SERVER['REQUEST_URI']).'</div><br />';
	
	$sql->free();
	$mysqli->close();
	include("footer.php");
}
?>